package com.zm.order.tool.server.tempdb;

import com.zm.order.tool.server.model.IdOrderNo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author nianchang
 * @ClassName IdMapDao
 * @date 2021/10/18 4:36 下午
 */
@Repository
public interface IdOrderNoDao {

    int insertList(List<IdOrderNo> list);

    List<IdOrderNo> selectList(Long orderId);

    List<IdOrderNo> selectListById(Long lastId);

    IdOrderNo selectOne(String orderNo);

    void update(IdOrderNo orderNo);

    List<IdOrderNo> selectListByIdSize(Long lastId, int size);

}
